Loading...
Searching...
No Matches
pcl::PointXYZ Struct Reference
Module common

A point structure representing Euclidean xyz coordinates. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZ:

## Public Member Functions

constexpr | PointXYZ (const _PointXYZ &p)
constexpr | PointXYZ ()
constexpr | PointXYZ (float _x, float _y, float _z)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZ &p)

## Detailed Description

A point structure representing Euclidean xyz coordinates.

(SSE friendly)

Definition at line 321 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZ() [1/3]

constexpr pcl::PointXYZ::PointXYZ | ( | const _PointXYZ & | p | ) |

inline constexpr

Definition at line 323 of file point_types.hpp.

## PointXYZ() [2/3]

constexpr pcl::PointXYZ::PointXYZ | ( |  | ) |

inline constexpr

Definition at line 325 of file point_types.hpp.

## PointXYZ() [3/3]

constexpr pcl::PointXYZ::PointXYZ | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline constexpr

Definition at line 327 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXYZ & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp